
import shutil

from distutils.core import setup


version = '0.1'
authors = "Andre L. V. Loureiro, Adriano Couto, Henry M. M. Bilby"

def main():
    setup(
        name='python-zukebox-server',
        version=version,
        description='ZukeBox Server',
        author=authors,
        license='GPL-3',
        platforms='any',
        scripts=['src/bin/zukebox-server'],
        keywords=['UPnP', 'Multimedia', 'Sharing'],
        package_dir = {'zukebox_server': 'src',
                       'zukebox_server/plugins': 'src/plugins',
                       'zukebox_server/plugins/audio_library':
                       'src/plugins/audio_library',
                       'zukebox_server/system': 'src/system',
                       'zukebox_server/server': 'src/server',
                       'zukebox_server/services': 'src/services',
                       'zukebox_server/services/playlist':
                       'src/services/playlist',
                       'zukebox_server/xml_descriptions':
                       'src/xml_descriptions'
                       },
        packages=['zukebox_server',
                  'zukebox_server/services',
                  'zukebox_server/services/playlist',
                  'zukebox_server/plugins',
                  'zukebox_server/plugins/audio_library',
                  'zukebox_server/system',
                  'zukebox_server/server',
                  'zukebox_server/xml_descriptions'
                 ],
        package_data={'zukebox_server/xml_descriptions': ['*.xml']},
        data_files=[('share/dbus-1/services',
                    ['src/br.org.zagaia.ZukeBox.service']),
                   ])

if __name__ == "__main__":
    main()
